#!/bin/sh
# vim: ts=4 sw=4 noet ai syn=sh
#
# $Coar: periodic/daily/340.csup.sh,v 1.1 2008/07/20 16:26:45 mdev Exp $
#

if [ -r /etc/defaults/periodic.conf ]
then
    . /etc/defaults/periodic.conf
    source_periodic_confs
fi
# Set defaults
daily_csup_enable=${daily_csup_enable:-"NO"}
daily_csup_files=${daily_csup_files:-"/etc/stable-supfile"}
daily_csup_flags=${daily_csup_flags:-"-L2"}

case "$daily_csup_enable" in
    [Yy][Ee][Ss])
	echo ''
	echo 'Running csup:'
	for file in ${daily_csup_files}; do
		/usr/bin/csup ${daily_csup_flags} ${file}
		rc=$((${rc} + $?))
	done
	echo ''
	;;
	*) rc=0;;
esac
