#!/bin/sh
# vim: ts=4 sw=4 noet ai syn=sh
#
# $Coar: periodic/daily/341.cvsup.sh,v 1.2 2009/01/01 13:34:41 mdev Exp $
#

if [ -r /etc/defaults/periodic.conf ]
then
    . /etc/defaults/periodic.conf
    source_periodic_confs
fi
# Set defaults
daily_cvsup_enable=${daily_cvsup_enable:-"NO"}
daily_cvsup_files=${daily_cvsup_files:-"/etc/cvs-supfile"}
daily_cvsup_flags=${daily_cvsup_flags:-"-L2"}
daily_cvsup_program=${daily_cvsup_program:-"/usr/local/bin/cvsup"}

case "$daily_cvsup_enable" in
    [Yy][Ee][Ss])
	echo ''
	echo 'Running cvsup:'
	for file in ${daily_cvsup_files}; do
		${daily_cvsup_program} ${daily_cvsup_flags} ${file}
		rc=$((${rc} + $?))
	done
	echo ''
	;;
	*) rc=0;;
esac
